For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
            • GETList Product Modifiers
            • POSTCreate Product Modifier
            • GETGet Product Modifier
            • PUTUpdate Product Modifier
            • DELDelete Product Modifier
              • GETList Product Modifier Values
              • POSTCreate Product Modifier Value
              • GETGet Product Modifier Value
              • PUTUpdate Product Modifier Value
              • DELDelete Product Modifier Value
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProduct ModifiersValues

Get Product Modifier Value

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/modifiers/:modifier_id/values/:value_id
GET
/stores/:store_hash/v3/catalog/products/:product_id/modifiers/:modifier_id/values/:value_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/modifiers/1/values/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "adjusters": {
4 "price": {
5 "adjuster": "relative",
6 "adjuster_value": 4.99
7 },
8 "weight": {},
9 "image_url": "https://cdn8.bigcommerce.com/s-abc123/products/456/images/789/gift_wrap_400x400.jpg",
10 "purchasing_disabled": {
11 "status": false,
12 "message": ""
13 }
14 },
15 "id": 190,
16 "is_default": false,
17 "label": "Gift Wrapping",
18 "option_id": 222,
19 "sort_order": 1,
20 "value_data": {}
21 },
22 "meta": {}
23}
Returns a single modifier value. Optional parameters can be passed in.
Was this page helpful?
Previous

Create Product Modifier Value

Next

Update Product Modifier Value

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired
The ID of the product to which the resource belongs.
modifier_idintegerRequired
The ID of the product modifier.
value_idintegerRequired
The ID of the product modifier value.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Response

dataobject

Product modifier option_value.

metaobject
Response metadata.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.